#!/usr/bin/perl
# opensrs client conf file for email services

use vars qw(%REG_EMAIL %EMAIL_REG_PERIODS );


%REG_EMAIL = (

               # boolean: 1 is true, 0 is false
               debug => 0,

               # NOTA BENE --
               # The configuration parameters "base_capacity",
               # "capacity_upgrade_multiples" and "max_capacity_increments"
               # are use to validate order information before it is sent
               # to the Tucows servers.  These values should match exactly
               # the current email account settings policies set out
               # by Tucows (in terms of maximum account size, etc...).
               # If these values do not match, there's a chance that your
               # orders submitted to the Tucows servers will fail
               # because the order data does not fall within the accepted
               # email account parameters.  Please check with a Tucows
               # representative for the correct values for these parameters.

               # this is the base capacity for new email accounts
               base_capacity => 250,
               
               # upgrades in email storage capacity are provided
               # in multiple of megabytes
               capacity_upgrade_multiples => 250, #MB
              
               # email account capacity is capped at so many
               # increments of the previous multiple setting.
               # total max capacity is:
               #     (max_capacity_increments * capacity_upgrade_multiples ) + base_capacity
               # eg. (19 * 250) + 250 = 5000 MB 
               max_capacity_increments => 19,

                
               # this flag tells the CGI to use either 'process' or
               # 'save' for the handle value in the em_register/email
               # API call.           
               process_immediate => 0,
    
               # these numbers help show how much you will charge your
               # customer, so these number should likely be higher 
               # than the Tucows reseller rates
               base_box_rate => 0.75,
               imap_rate => 0.00,
               storage_rate => 0.00,

               F_VERIFY_CC     => 1, # verify credit card number
               F_ENABLE_CVV    => 0, # collect credit card CVV number
               F_SEND_ORDERS   => 1, # send orders to $ADMIN_EMAIL
               F_SEND_THANKYOU => 1, # send thank you note to customer

           );

$REG_EMAIL{F_VERIFY_CC} = $REG_EMAIL{F_VERIFY_CC} && $F_SHOW_CC_FIELDS;

# this list is needed to build upgrades selection
# of email storage capacity
$REG_EMAIL{'storage_upgrade_list'} =  {

    map {$_,  $_ *$REG_EMAIL{'capacity_upgrade_multiples'} } (0..$REG_EMAIL{'max_capacity_increments'}) 

} ;

1;
